Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyFilter::ConstraintExp Struct Reference

Defines a constraint expression. More...

`import "CosNotifyFilter.idl";`

List of all members.

## Public Attributes
CosNotification::EventTypeSeq | event_types
| The list of event types accepted.
string | constraint_expr
| A constraint (or filtering) expression.

## Detailed Description

Defines a constraint expression.

## Member Data Documentation

string CosNotifyFilter::ConstraintExp::constraint_expr

| A constraint (or filtering) expression.

CosNotification::EventTypeSeq CosNotifyFilter::ConstraintExp::event_types

| The list of event types accepted.

The documentation for this struct was generated from the following file:

- CosNotifyFilter.idl